Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.apps.cinema
Class CinemaShared

    java.lang.Object
      |
      +--uk.ac.man.bioinf.module.Module
            |
            +--uk.ac.man.bioinf.apps.xml.XMLBootModule
                  |
                  +--uk.ac.man.bioinf.apps.cinema.CinemaBoot
                        |
                        +--uk.ac.man.bioinf.apps.cinema.CinemaShared

public class CinemaShared
extends CinemaBoot

CinemaShared.java Created: Tue Sep 12 17:22:26 2000

Version:
  $Id: CinemaShared.java,v 1.3 2001/04/11 17:04:41 lord Exp $
Author:
  Phillip Lord

Nested Class Summary

Nested classes inherited from class uk.ac.man.bioinf.apps.xml.XMLBootModule
`XMLBootModule.MiniStack`

Constructor Summary
`CinemaShared()`

Method Summary
`String` | `fetchMainBootName()`

Methods inherited from class uk.ac.man.bioinf.apps.cinema.CinemaBoot
`fetchModuleSystemIdentifier, getXMLParserClass, load, resolveXMLLoadName`

Methods inherited from class uk.ac.man.bioinf.apps.xml.XMLBootModule
`characters, classEnd, configStart, enumerationEnd, genericEnd, getVersion, identifierStart, loadEnd, moduleEnd, nameEnd, nodeEnd, nodeStart, paramEnd, paramnameEnd, parseResource, parseStream, propertiesEnd, propertiesStart, provideEnd, readEnd, readStart, startEnd, treeEnd, treeStart, valueEnd`

Methods inherited from class uk.ac.man.bioinf.module.Module
`addPropertyChangeListener, addPropertyChangeListener, destroy, finalize, firePropertyChange, firePropertyChange, firePropertyChange, getContext, getIdentifier, getRequiredIdentifiers, getRequiredModule, getRequiredModules, hasListeners, isDestroyed, isStarted, removePropertyChangeListener, removePropertyChangeListener, runStart, setContext, start`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CinemaShared

    public CinemaShared()

Method Detail

### fetchMainBootName

    public String fetchMainBootName()

  Overrides:
    `fetchMainBootName` in class `CinemaBoot`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD